This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1304256 - skyring-setup.sh: /opt/influxdb/influx: No such file or directory [NEEDINFO]
skyring-setup.sh: /opt/influxdb/influx: No such file or directory
Status: CLOSED NOTABUG
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Nishanth Thomas
sds-qe-bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 02:46 EST by Daniel Horák
Modified: 2016-03-10 04:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 04:27:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbukatov: needinfo? (nthomas)


Attachments (Terms of Use)

  None (edit)
Description Daniel Horák 2016-02-03 02:46:39 EST
Description of problem:
  Skyring setup script /usr/bin/skyring-setup.sh uses command influx located in /opt/influxdb/, which does not exist as influxdb is installed from rpm and command influx is located in /usr/bin/.


Version-Release number of selected component (if applicable):
  rhscon-ceph-0.0.6-1.el7.x86_64
  rhscon-core-0.0.8-1.el7.x86_64
  rhscon-ui-0.0.7-1.el7.noarch


How reproducible:
  100%


Steps to Reproduce:
1. install rhscon-core accordingly to documentation (with all expected requirements)
2. Run skyring-setup.sh script and check its output.


Actual results:
    <<truncated>>
  Creating time series database
  /usr/bin/skyring-setup.sh: line 47: /opt/influxdb/influx: No such file or directory
  /usr/bin/skyring-setup.sh: line 50: /opt/influxdb/influx: No such file or directory
  /usr/bin/skyring-setup.sh: line 15: /opt/influxdb/influx: No such file or directory
  /usr/bin/skyring-setup.sh: line 17: /opt/influxdb/influx: No such file or directory
    <<truncated>>


Expected results:
  No error about missing influx command and influxdb is properly initialized.
Comment 1 Martin Bukatovic 2016-02-12 09:19:35 EST
Is this setup script in it's current state targeted for a release?
Do we plan to improve it or replace it entirely?

Note You need to log in before you can comment on or make changes to this bug.